@import url('https://fonts.googleapis.com/css2?family=Micro+5&family=Noto+Sans+Thai:wght@100..900&display=swap');


#projects {
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: center;
    padding: 1rem;
    height: 100vh;
}



#projects h2 {
    font-size: 3.5rem;
    color: rgb(255, 75, 75);
    font-weight: bold;
    font-style: normal;
    filter: drop-shadow(0 6px 0px rgb(236, 138, 138));

}

.projects-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 2rem;
    margin-top: 1rem;
}

.project-card {
    background-color: #ffffff;
    border: 1px solid #ddd;
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    width: 300px;
    padding: 1rem;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.project-image {
    background-color: rgb(239, 243, 243);
    width: 100%;
    height: auto;
    border-radius: 8px;
    padding: 10px 10px 260px 10px;
    overflow: hidden;
}

.project-image span {
    font-size: 1rem;
    color: #666;
    justify-items: center;
    align-items: center;
    text-align: center;

}

.project-card:hover {
    transform: translateY(-10px);
    box-shadow: 0 8px 12px rgba(0, 0, 0, 0.2);
}

.project-card h3 {
    font-size: 1.5rem;
    margin: 1rem 0 0.5rem 0;
    color: #000000;
}

.project-card p {
    font-size: 1rem;
    color: #555;
    margin-bottom: 1rem;
}

.button-link {
    display: flex;
    gap: 1rem;
    justify-content: center;
}

.demo,
.github {
    padding: 0.5rem 1rem;
    font-size: 1rem;
    border: crimson 1px solid;
    color: crimson;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s ease;
}

.demo:hover,
.github:hover {
    background-color: crimson;
    color: #ffffff;
    filter: drop-shadow(0 6px 6px rgb(255, 0, 0));
}


@media (max-width: 768px) {

#projects  {
    height: auto;
    padding: 1rem;
}

}